import dynamix_sdk.base as _base


class CloudapiK8sDisableResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiK8sDisableProtocol(_base.BasePostAPIFunctionProtocol):
    def disable(
        self,
        *,
        k8s_id: int,
    ) -> CloudapiK8sDisableResultBool:
        ...
